Bug 1342508 - subunit: python3-subunit requires both Python 2 and Python 3
Summary: subunit: python3-subunit requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subunit   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-03 11:57 UTC by Tomas Orsava
Modified: 2018-06-23 05:28 UTC (History)
2 users (show)

Fixed In Version: subunit-1.2.0-7.fc24
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-26 00:53:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-03 11:57:41 UTC
The python3-subunit RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fedora Update System 2016-06-03 20:08:13 UTC
subunit-1.2.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dace29fb4

Comment 2 Fedora Update System 2016-06-04 18:25:33 UTC
subunit-1.2.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dace29fb4

Comment 3 Tomas Orsava 2016-06-06 12:18:23 UTC
Hi Jerry!

Thank you for fixing the shebangs!

Could I ask if there is some reason why the `subunit-filters` RPM is using Python 2? If the executable works the same under Python 2 and Python 3, the packaging guidelines [0] advise to package the version for Python 3, as Python 2 is nearing the end of it's lifetime.

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks

Comment 4 Fedora Update System 2016-06-18 18:44:56 UTC
subunit-1.2.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Iryna Shcherbina 2017-02-20 11:01:39 UTC
Reopening the bug as `subunit` is not fully Python 3 ready.

As per comment #3, `subunit-filters` RPM is Python 2 only, and to comply with the packaging guidelines it should either be switched to Python 3 or a Python 3 subpackage is to be provided.

Please let us know if you need any assistance or help with it.

Comment 6 Jerry James 2017-02-26 00:53:53 UTC
The scripts in subunit-filters require pygtk2 to operate.  As far as I know, pygtk2 is not available for python 3.  Until that changes, or upstream switches to something other than pygtk2, subunit-filters must continue to depend on python 2.


Note You need to log in before you can comment on or make changes to this bug.